Package org.apache.catalina.tribes

## Interface ChannelInterceptor.InterceptorEvent

All Known Implementing Classes:
  `NonBlockingCoordinator.CoordinationEvent`

Enclosing interface:
  ChannelInterceptor

    public static interface ChannelInterceptor.InterceptorEvent

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEventType()`
`String` `getEventTypeDesc()`
`ChannelInterceptor` `getInterceptor()`

### Method Detail

#### getEventType

    int getEventType()

#### getEventTypeDesc

    String getEventTypeDesc()

#### getInterceptor

    ChannelInterceptor getInterceptor()